package com.atlassian.bitbucket.mesh.git.exception;

import io.grpc.Status;

import javax.annotation.Nullable;

public abstract class AbstractValidationException extends AbstractGitException {

    public AbstractValidationException(@Nullable String message) {
        super(message, Status.INVALID_ARGUMENT);
    }

    public AbstractValidationException(@Nullable String message, @Nullable Throwable cause) {
        super(message, cause, Status.INVALID_ARGUMENT);
    }

    public AbstractValidationException(@Nullable Throwable cause) {
        super(cause, Status.INVALID_ARGUMENT);
    }
}
